Skip to content

Update the payout schedule

PUT
/v1/admin/payouts/payout-entities/{payout_entity_id}/payout-settings/

Creates a new version of the schedule. The next payout uses it.

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an admin API key as the username and an empty password.

Path Parameters

payout_entity_id*string

The ID of the payout entity.

Formatuuid

Request Body

application/json
  1. body

The payout schedule.

frequency*string
Value in"daily""weekly""monthly"
day?|

null for daily, 1 (Monday) to 7 (Sunday) for weekly, 1 to 31 for monthly. 29 to 31 fall back to the last day of shorter months.

Range1 <= value <= 31
delay_days*integer

Days between the completion of a transaction and the moment it can be paid out.

Range0 <= value
cutoff_time*string

The end of the merchant's day, as HH:MM (24 hours).

Match^([01][0-9]|2[0-3]):[0-5][0-9]$
cutoff_timezone*string

IANA timezone of the cutoff time.

Response Body

The new version of the schedule.

curl -X PUT 'https://api.example.com/v1/admin/payouts/payout-entities/497f6eca-6276-4993-bfeb-53cbbbba6f08/payout-settings/' \  --user "$API_KEY:" \  -H 'Content-Type: application/json' \  -d '{  "frequency": "monthly",  "day": 1,  "delay_days": 7,  "cutoff_time": "23:59",  "cutoff_timezone": "Europe/Amsterdam"}'
Empty